Subject: Re: so many if conditions in _rtl92c_store_pwrIndex_diffrate_offset.

From: Larry Finger <[email-masked]>
Date: Sat, 28 Jan 2012 10:44:17 -0600

On 01/28/2012 12:31 AM, devendra.aaru wrote:
> Hi wireless folks,
>
> in _rtl92c_store_pwrIndex_diffrate_offset (
> drivers/net/wireless/rtlwifi/rtl8192c/phy_common.c), there are lot of
> if conditions, checking the register address.
> my understanding is that if the register address matches to a
> particular rate, we set the txpower level to a particular group. but
> it is even possible with the switch or if else if statements,
>   please correct me if i am wrong.

Of course, that routine could be recoded using either a switch or if else 
statements. Unfortunately, I have more pressing matters to attend to. You can, 
however, submit a patch to change it and send it to the linux-wireless mailing 
list. You must follow the instructions in Documentation/SubmittingPatches, and 
the patch must apply using the wireless-testing git tree.

Larry